Subject: bug#66174: closed (Re: bug#66174: [BUG] poetry buil)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 01 Oct 2023 20:16:02 +0000

Your bug report

#66174: [BUG] poetry buil

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66174: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66174
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66174: [BUG] poetry buil
From: "Danny Milosavljevic" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Sun, 1 Oct 2023 22:15:19 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This was broken by commits d477018b57d5b4c13b4dd35aa1c4ee1a00ca76e2
and 21d6985a8b3c6e53aab648275dc27b72c7453437--one of which also has
an incorrect commit message. Obviously those commits can never have
worked since they require poetry in order to build themselves.

I've reverted commit d477018b57d5b4c13b4dd35aa1c4ee1a00ca76e2
and followed up on the other one. It should work now.

This will cause 420 packages to be rebuilt.

Please try

guix pull

and then try again.

For the record, it might still be nice to add an extra package for the
newer poetry, but not like this. I tried doing that, and then the build of
poetry 1.4.2 broke because our python-virtualenv is too old for it.
So as I said, it could never have worked like this.

Subject: [BUG] poetry buil
From: Edison Ibáñez <[email-masked]>
To: [email-masked]
Date: Sat, 23 Sep 2023 21:52:03 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey Guix!

I've encountered the following error while trying to install poetry:

phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `build'
error: in phase 'build': uncaught exception:
misc-error #f "no setup.py found" () #f
phase `build' failed after 0.0 seconds
Backtrace:
           9 (primitive-load "/gnu/store/3353b4wb8kf4kz6m70ph2p3w0iw…")
In guix/build/gnu-build-system.scm:
    908:2  8 (gnu-build #:source _ #:outputs _ #:inputs _ #:phases . #)
In ice-9/boot-9.scm:
  1752:10  7 (with-exception-handler _ _ #:unwind? _ # _)
In srfi/srfi-1.scm:
    634:9  6 (for-each #<procedure 7ffff77ff6a0 at guix/build/gnu-b…> …)
In ice-9/boot-9.scm:
  1752:10  5 (with-exception-handler _ _ #:unwind? _ # _)
In guix/build/gnu-build-system.scm:
   929:23  4 (_)
In guix/build/python-build-system.scm:
    148:2  3 (build #:use-setuptools? _)
    135:6  2 (call-setuppy "build" () #t)
In ice-9/boot-9.scm:
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
no setup.py found
builder for `/gnu/store/rh4nyw96hfli8lnn45rp18nnaz290lil-poetry-1.4.2.drv' failed with exit code 1
build of /gnu/store/rh4nyw96hfli8lnn45rp18nnaz290lil-poetry-1.4.2.drv failed
View build log at '/var/log/guix/drvs/rh/4nyw96hfli8lnn45rp18nnaz290lil-poetry-1.4.2.drv.gz'.
guix package: error: build of `/gnu/store/rh4nyw96hfli8lnn45rp18nnaz290lil-poetry-1.4.2.drv' failed